<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::IRegistryHub Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="structCatch_1_1IRegistryHub.html">IRegistryHub</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="structCatch_1_1IRegistryHub-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::IRegistryHub Struct Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a050de0f27f96888c8b410992146c9a09"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IRegistryHub.html#a050de0f27f96888c8b410992146c9a09">~IRegistryHub</a> ()</td></tr>
<tr class="separator:a050de0f27f96888c8b410992146c9a09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55534563f7ecf7e20ec1e37285ebe54d"><td class="memItemLeft" align="right" valign="top">virtual IReporterRegistry const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IRegistryHub.html#a55534563f7ecf7e20ec1e37285ebe54d">getReporterRegistry</a> () const =0</td></tr>
<tr class="separator:a55534563f7ecf7e20ec1e37285ebe54d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4f6255f0c0f8f1f179fa9d7d4843076"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structCatch_1_1ITestCaseRegistry.html">ITestCaseRegistry</a> const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IRegistryHub.html#af4f6255f0c0f8f1f179fa9d7d4843076">getTestCaseRegistry</a> () const =0</td></tr>
<tr class="separator:af4f6255f0c0f8f1f179fa9d7d4843076"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c511b1d33e5a6d95c333a0ff387df1a"><td class="memItemLeft" align="right" valign="top">virtual ITagAliasRegistry const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IRegistryHub.html#a3c511b1d33e5a6d95c333a0ff387df1a">getTagAliasRegistry</a> () const =0</td></tr>
<tr class="separator:a3c511b1d33e5a6d95c333a0ff387df1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48347c170d9c583af73027a27b2f0bd4"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structCatch_1_1IExceptionTranslatorRegistry.html">IExceptionTranslatorRegistry</a> const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IRegistryHub.html#a48347c170d9c583af73027a27b2f0bd4">getExceptionTranslatorRegistry</a> () const =0</td></tr>
<tr class="separator:a48347c170d9c583af73027a27b2f0bd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00281210628e6c616aca1d3e0d84db04"><td class="memItemLeft" align="right" valign="top">virtual StartupExceptionRegistry const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IRegistryHub.html#a00281210628e6c616aca1d3e0d84db04">getStartupExceptionRegistry</a> () const =0</td></tr>
<tr class="separator:a00281210628e6c616aca1d3e0d84db04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a050de0f27f96888c8b410992146c9a09"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IRegistryHub.html#a050de0f27f96888c8b410992146c9a09">~IRegistryHub</a> ()</td></tr>
<tr class="separator:a050de0f27f96888c8b410992146c9a09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55534563f7ecf7e20ec1e37285ebe54d"><td class="memItemLeft" align="right" valign="top">virtual IReporterRegistry const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IRegistryHub.html#a55534563f7ecf7e20ec1e37285ebe54d">getReporterRegistry</a> () const =0</td></tr>
<tr class="separator:a55534563f7ecf7e20ec1e37285ebe54d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4f6255f0c0f8f1f179fa9d7d4843076"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structCatch_1_1ITestCaseRegistry.html">ITestCaseRegistry</a> const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IRegistryHub.html#af4f6255f0c0f8f1f179fa9d7d4843076">getTestCaseRegistry</a> () const =0</td></tr>
<tr class="separator:af4f6255f0c0f8f1f179fa9d7d4843076"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c511b1d33e5a6d95c333a0ff387df1a"><td class="memItemLeft" align="right" valign="top">virtual ITagAliasRegistry const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IRegistryHub.html#a3c511b1d33e5a6d95c333a0ff387df1a">getTagAliasRegistry</a> () const =0</td></tr>
<tr class="separator:a3c511b1d33e5a6d95c333a0ff387df1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48347c170d9c583af73027a27b2f0bd4"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structCatch_1_1IExceptionTranslatorRegistry.html">IExceptionTranslatorRegistry</a> const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IRegistryHub.html#a48347c170d9c583af73027a27b2f0bd4">getExceptionTranslatorRegistry</a> () const =0</td></tr>
<tr class="separator:a48347c170d9c583af73027a27b2f0bd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00281210628e6c616aca1d3e0d84db04"><td class="memItemLeft" align="right" valign="top">virtual StartupExceptionRegistry const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IRegistryHub.html#a00281210628e6c616aca1d3e0d84db04">getStartupExceptionRegistry</a> () const =0</td></tr>
<tr class="separator:a00281210628e6c616aca1d3e0d84db04"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a050de0f27f96888c8b410992146c9a09"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a050de0f27f96888c8b410992146c9a09">&#9670;&nbsp;</a></span>~IRegistryHub() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual Catch::IRegistryHub::~IRegistryHub </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a050de0f27f96888c8b410992146c9a09"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a050de0f27f96888c8b410992146c9a09">&#9670;&nbsp;</a></span>~IRegistryHub() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual Catch::IRegistryHub::~IRegistryHub </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a48347c170d9c583af73027a27b2f0bd4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48347c170d9c583af73027a27b2f0bd4">&#9670;&nbsp;</a></span>getExceptionTranslatorRegistry() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structCatch_1_1IExceptionTranslatorRegistry.html">IExceptionTranslatorRegistry</a> const&amp; Catch::IRegistryHub::getExceptionTranslatorRegistry </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a48347c170d9c583af73027a27b2f0bd4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48347c170d9c583af73027a27b2f0bd4">&#9670;&nbsp;</a></span>getExceptionTranslatorRegistry() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structCatch_1_1IExceptionTranslatorRegistry.html">IExceptionTranslatorRegistry</a> const&amp; Catch::IRegistryHub::getExceptionTranslatorRegistry </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a55534563f7ecf7e20ec1e37285ebe54d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a55534563f7ecf7e20ec1e37285ebe54d">&#9670;&nbsp;</a></span>getReporterRegistry() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual IReporterRegistry const&amp; Catch::IRegistryHub::getReporterRegistry </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a55534563f7ecf7e20ec1e37285ebe54d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a55534563f7ecf7e20ec1e37285ebe54d">&#9670;&nbsp;</a></span>getReporterRegistry() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual IReporterRegistry const&amp; Catch::IRegistryHub::getReporterRegistry </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a00281210628e6c616aca1d3e0d84db04"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a00281210628e6c616aca1d3e0d84db04">&#9670;&nbsp;</a></span>getStartupExceptionRegistry() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual StartupExceptionRegistry const&amp; Catch::IRegistryHub::getStartupExceptionRegistry </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a00281210628e6c616aca1d3e0d84db04"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a00281210628e6c616aca1d3e0d84db04">&#9670;&nbsp;</a></span>getStartupExceptionRegistry() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual StartupExceptionRegistry const&amp; Catch::IRegistryHub::getStartupExceptionRegistry </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3c511b1d33e5a6d95c333a0ff387df1a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c511b1d33e5a6d95c333a0ff387df1a">&#9670;&nbsp;</a></span>getTagAliasRegistry() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual ITagAliasRegistry const&amp; Catch::IRegistryHub::getTagAliasRegistry </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3c511b1d33e5a6d95c333a0ff387df1a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c511b1d33e5a6d95c333a0ff387df1a">&#9670;&nbsp;</a></span>getTagAliasRegistry() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual ITagAliasRegistry const&amp; Catch::IRegistryHub::getTagAliasRegistry </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af4f6255f0c0f8f1f179fa9d7d4843076"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4f6255f0c0f8f1f179fa9d7d4843076">&#9670;&nbsp;</a></span>getTestCaseRegistry() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structCatch_1_1ITestCaseRegistry.html">ITestCaseRegistry</a> const&amp; Catch::IRegistryHub::getTestCaseRegistry </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af4f6255f0c0f8f1f179fa9d7d4843076"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4f6255f0c0f8f1f179fa9d7d4843076">&#9670;&nbsp;</a></span>getTestCaseRegistry() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structCatch_1_1ITestCaseRegistry.html">ITestCaseRegistry</a> const&amp; Catch::IRegistryHub::getTestCaseRegistry </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
